cmake_minimum_required(VERSION 3.15)
project(lora-sx1302)
set(SX1302_INCLUDE_PATH ${PROJECT_SOURCE_DIR}/include)
set(SX1302_SOURCE_PATH ${PROJECT_SOURCE_DIR}/source)
include_directories(${SX1302_INCLUDE_PATH})

foreach(FOREACH_SRC_DIR ${SX1302_SOURCE_PATH})
    aux_source_directory(${FOREACH_SRC_DIR} SRC)
endforeach()

add_library(${LORA_SX1302} STATIC ${SRC})